Skip to navigation

Get users from configured Connect service

View as Markdown
Returns users from the configured Connect service.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

connectIdstringRequired
The ID of the custom Connect configuration being accessed.

Query parameters

countstringOptional
Optional. Number of items to return.
email_substringstringOptional

Filters the returned user records by the email address or a sub-string of email address.

list_included_usersstringOptional
start_positionstringOptional

The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.

statusstringOptional

Filters the results by user status. You can specify a comma-separated list of the following statuses:

  • ActivationRequired
  • ActivationSent
  • Active
  • Closed
  • Disabled
user_name_substringstringOptional

Filters the user records returned by the user name or a sub-string of user name.

Response

Successful response.
allUsersSelectedstringOptional
endPositionstringOptional
The last position in the result set.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional
The number of results returned in this response.
startPositionstringOptional
Starting position of the current result set.
totalSetSizestringOptional

The total number of items in the search’s result set. It will always be greater than or equal to the value of the resultSetSize field.

userslist of objectsOptional

Errors

400
Bad Request Error